local _,class = UnitClass("player")

if class ~= "MAGE" then return end

local colors = SPTimers.CustomColors

local spells = {

	[118] = { duration = 50, color = colors.LGREEN, pvpduration = 8, cleu = true },
	[61305] = { duration = 50, color = colors.LGREEN, pvpduration = 8, cleu = true },
	[28271] = { duration = 50, color = colors.LGREEN, pvpduration = 8, cleu = true },
	[28272] = { duration = 50, color = colors.LGREEN, pvpduration = 8, cleu = true },
	[61721] = { duration = 50, color = colors.LGREEN, pvpduration = 8, cleu = true },
	[61780] = { duration = 50, color = colors.LGREEN, pvpduration = 8, cleu = true },
	
	[12042] = { duration = 15, color = colors.PINK }, 
	[36032] = { duration = 10, color = colors.CURSE },
	[79683] = { duration = 20, color = colors.WOO },
	[31589] = { cleu = true, duration = 15, pvpduration = 8 },
	[55021] = { cleu = true, duration = 4, color = colors.PINK },
	
	[48108] = { duration = 10, color = colors.CURSE, group = "procs" },
	[11113] = { color = colors.CHILL, duration = 3, cleu = true }, -- ?????
	[31661] = { duration = 5, color = colors.ORANGE, cleu = true },
	
	[2120]  = { duration = 8, haste = true, tick = 2, color = colors.ORANGE, cleu = true, group = "player", whitelist_cleu = 5, blacklist_cleu = 3, blacklist = 3 },
	
	[12472] = { duration = 20 },
	[82691] = { color = colors.FROZEN, cleu = true, duration = 12, pvpduration = 8 },
	[122]   = { duration = 8, color = colors.FROZEN, cleu = true },
	[33395] = { duration = 8, color = colors.FROZEN, cleu = true },
	[44544] = { duration = 15, color = colors.FROZEN },
	[57761] = { duration = 15, color = colors.LRED },
	[45438] = { duration = 10 },
	[44572] = { cleu = true, duration = 5 },
	[120]   = { duration = 8, color = colors.CHILL, cleu = true },
	[12043] = { duration = 1, color = colors.CURSE },
	[11426] = { duration = 60, color = colors.LGREEN },
	[115610] = { duration = 4, color = colors.LGREEN },
	[102051] = { duration = 8, pvpduration = 4,  color = colors.PINK, cleu = true },
	[32612] =  { duration = 20 },
	[110960] = { duration = 20, color = colors.CURSE },
	[116257] = { duration = 60, color = colors.DPURPLE },
	[116014] = { duration = 1, color = colors.DPURPLE },
	[112948] = { duration = 4,  haste = true, tick = 4, color = colors.CURSE, cleu = true },
	[114923] = { custom_text = "[%affdots]%tN", duration = 12, haste = true, tick = 1, color = colors.PURPLE, cleu = true },
	[44457]  = { custom_text = "[%affdots]%tN", duration = 12, haste = true, tick = 3, color = colors.RED, cleu = true },
	[11366]  = { duration = 18, haste = true, tick = 3, color = colors.RED, cleu = true },
	[12654]  = { duration = 4,  tick = 2, color = colors.RED },
	[83853]  = { duration = 10, haste = true, tick = 1, color = colors.RED },
}



local cooldown = {}	

function SPTimers:SetupClassSpells()

	self.myCLASS = class
	
	return spells
end

function SPTimers:SetupClassCooldowns()

	self.myCLASS = class
	
	return cooldown
end