local _,class = UnitClass("player")

if class ~= "MONK" then return end

local colors = SPTimers.CustomColors

local spells = {


	[120954] =  { color = colors.WOO2, duration = 20 },
	[117368] =  { color = colors.BROWN, duration = 10, cleu = true },
	[115078] =  { color = colors.PURPLE, duration = 30, pvpduration = 8, cleu = true },
	[115546] =  { color = colors.TAUNT, duration = 3, cleu = true },
	[118864] =  { color = colors.WOO, duration = 15 },
	[116768] =  { color = colors.PINK, duration = 15 },
	[125195] =  { color = colors.BLACK, duration = 120 },
	[116740] =  { color = colors.BLACK, duration = 15 },
	[125359] =  { color = colors.PURPLE2, duration = 20 },
	[127722] =  { color = colors.PINK, duration = 30 },
	[119611] =  { color = colors.LGREEN, target = "player", duration = 18 },
	[115867] =  { duration = 120, color = colors.BLACK },
	[116849] =  { color = colors.PURPLE, duration = 12, cleu = true },
	[118674] =  { color = colors.BLACK, duration = 30 },
	[115213] =  { duration = 15 },
	[115307] =  { color = colors.RED, duration = 6 },
	[116330] =  { color = colors.PURPLE, duration = 15, cleu = true },
	[123727] =  { color = colors.PURPLE, duration = 15, cleu = true },
	[128939] =  { duration = 30, color = colors.BLACK },
	[115308] =  { duration = 15, color = colors.BLACK },
	[124081] =  { duration = 16, color = { 1, 0.2, 1} },
	[119381] =  { duration = 5, color = colors.RED, cleu = true },
	[122783] =  { duration = 6, color = colors.CURSE },

}

local cooldown = {
	[GetSpellInfo(107428)] = { spellid = 107428, color = colors.PURPLE },
	[GetSpellInfo(123761)] = { spellid = 123761, color = colors.CURSE },
	[GetSpellInfo(116680)] = { spellid = 116680, color = colors.CURSE },
	[GetSpellInfo(115295)] = { spellid = 115295, color = colors.GOLD },
	[GetSpellInfo(121253)] = { spellid = 121253, color = colors.CURSE },
}	

function SPTimers:SetupClassSpells()

	self.myCLASS = class
	
	return spells
end

function SPTimers:SetupClassCooldowns()

	self.myCLASS = class
	
	return cooldown
end
