local _,class = UnitClass("player")

if class ~= "HUNTER" then return end
local colors = SPTimers.CustomColors

local spells = {	
	[131894] = { duration = 30, color = colors.LBLUE, cleu = true },
	[51755]  = { duration = 60, color = colors.CURSE },
	[19263]  = { duration = 5, color = colors.LBLUE },
	
	[82925]  = { duration = 30, color = colors.LBLUE },
	[82926]  = { duration = 10, color = colors.WOO2 },
	
	[19615]  = { duration = 10, color = colors.CURSE },
	[82654]  = { duration = 30, color = { 0.1, 0.75, 0.1} },
	[56453]  = { duration = 12, color = colors.LRED },
	[19574]  = { duration = 18, color = colors.LRED },
	[82692]  = { duration = 20, color = colors.GOLD },
	[136]    = { duration = 10, color = colors.LGREEN },
	[118253] = { duration = 15, color = colors.PURPLE },
	[19503]  = { cleu = true, duration = 4, color = colors.CHILL },
	[5116]   = { duration = 6, color = colors.CHILL, cleu = true },
	[34490]  = { duration = 3, color = colors.PINK, cleu = true },
	[24394]  = { duration = 3, color = colors.RED, cleu = true },
	[19386]  = { duration = 30, pvpduration = 8,color = colors.RED, cleu = true },
	[3355]   = { duration = 60, pvpduration = 8, color = colors.FROZEN, cleu = true },
	[1513]   = { duration = 20, pvpduration = 8, color = colors.CURSE, cleu = true },
	[3045]   = { duration = 15, color = colors.CURSE },
	[128405] = { duration = 8,  color = colors.BROWN, cleu = true },
	[117526] = { duration = 5, pvpduration = 3, color = colors.RED, cleu = true },
}


local cooldown = {
	[GetSpellInfo(34026)] = { spellid = 34026, color = colors.LRED },	
	[GetSpellInfo(53209)] = { spellid = 53209, color = colors.RED },	
	[GetSpellInfo(53301)] = { spellid = 53301, color = colors.RED },	
	[GetSpellInfo(3674)]  = { spellid = 3674, color = colors.WOO },	
	[GetSpellInfo(130392)] = { spellid = 130392, color = colors.WOO },	
	[GetSpellInfo(109259)] = { spellid = 109259, color = colors.BLACK },	
	[GetSpellInfo(117050)] = { spellid = 117050, color = colors.BLACK },	
	[GetSpellInfo(120360)] = { spellid = 120360, color = colors.BLACK },	
}



function SPTimers:SetupClassSpells() self.myCLASS = class; return spells end
function SPTimers:SetupClassCooldowns() self.myCLASS = class; return cooldown end