local _,class = UnitClass("player")


if class ~= "PALADIN" then return end

local colors = SPTimers.CustomColors

local spells = { 
	
	[84963]  = { duration = 12, color = colors.PURPLE },
	[31884]  = { duration = 20, color = colors.FIRE },
	[498]	 = { duration = 10, color = colors.BLACK },
	[642] 	 = { duration = 8, color = colors.BLACK },
	[31850]	 = { duration = 10, color = colors.BLACK},
	[1022]   = { duration = 10, color = colors.WOO2, source = 1, cleu = true },
	[1044]   = { duration = 6, source = 1, cleu = true },
	[10326]  = { duration = 20, pvpduration = 8, color = colors.LGREEN, cleu = true },
	[105421] = { duration = 6, color = colors.DRED, cleu= true },
	[54428]  = { duration = 15 }, 
	[20066]  = { duration = 60, pvpduration = 8, color = colors.LBLUE, cleu= true  },
	[853]	 = { duration = 6, color = colors.FROZEN, cleu= true },
	[2812]	 = { duration = 4, color = colors.GREEN },
	[114637] = { duration = 20, color = colors.DRED },
	[59578]  = { color = colors.LRED, duration = 15 },
	[62124]	 = { color = colors.TAUNT, duration = 3 },
	[85499]  = { duration = 7 },
	[114250] = { duration = 15 },
	[114163] = { duration = 30, color = colors.LGREEN },
	[20925]  = { color = colors.WOO2, duration = 30},
	[90174]  = { color = colors.PINK, duration = 8 },	
	[114916] = { color = colors.BLACK, duration = 10 },
	[114917] = { color = colors.BLACK, duration = 10 },
}

local cooldown = {

	[GetSpellInfo(35395)] = { spellid = 35395, color = colors.CURSE },
	[GetSpellInfo(20271)] = { spellid = 20271, color = colors.RED },
	
	[GetSpellInfo(24275)] = { spellid = 24275, color = colors.TEAL },
	[GetSpellInfo(119072)] = { spellid = 119072, color = colors.BROWN },
	[GetSpellInfo(26573)] = { spellid = 26573, color = colors.LBLUE },
	[GetSpellInfo(31935)] = { spellid = 31935, color = colors.BLACK },
	[GetSpellInfo(114165)] = { spellid = 114165, color = colors.BLACK },
}



function SPTimers:SetupClassSpells() self.myCLASS = class; return spells end
function SPTimers:SetupClassCooldowns() self.myCLASS = class; return cooldown end