local _,class = UnitClass("player")

if class ~= "PRIEST" then return end

local colors = SPTimers.CustomColors

--[[

	groups = {
		"target",
		"player",
		"procs",
		"offtargets",
	}
	
	cleu filters 
	
	 filters_cleu = {
	1 L["None"],
	2 L["Only buff"],
	3 L["Only debuff"],
	4 L["All"],
	5 L["SpellCast"],
	6 L["Summon"],
}


	
]]

local spells = {
	[34914]	 = { duration = 15, custom_text = "[%affdots]%tN", tick = 3, cast = 1.5, haste = true, cleu = true, color = colors.BLUE }, -- vt
	[589]	 = { duration = 18, custom_text = "[%affdots]%tN", tick = 3, haste = true, cleu = true, color = colors.PURPLE },	   -- swp
	[2944]	 = { duration = 6,  custom_text = "[%affdots]%tN", tick = 1, haste = true, cleu = true, color = colors.WOO },	   -- dp
	
	[34433]  = { duration = 12, cleu = true, group = "player", color = colors.BLACK, whitelist_cleu = 6, }, --color = colors.BLACK }
	[132603] = { duration = 12, cleu = true, group = "player", color = colors.BLACK, whitelist_cleu = 6, },
	[123040] = { duration = 15, cleu = true, group = "player", color = colors.BLACK, whitelist_cleu = 6, },
	[132604] = { duration = 15, cleu = true, group = "player", color = colors.BLACK, whitelist_cleu = 6, },
	
	[47585]	 = { duration = 6,  color = colors.PURPLE, group = "player" },
	[123254] = { duration = 10, color = colors.CURSE, group = "player", priority = -10, color = colors.CURSE},
	
	[15407]	 = { duration = 3, tick = 1, group = "target", channel = true, haste = true, },
	[129197] = { duration = 3, tick = 1, group = "target", channel = true, haste = true, },
	
	[87160] = { duration = 10,  color = colors.LRED }, -- FDCL SHADOW

	[114255] = { duration = 20, color = colors.LRED }, -- FDCL HEAL
	
	[112833] = { duration = 6,  color = colors.CURSE }, --Spectral Guise
	
	[145180] = { duration = 12,  custom_text = "%spell (%val1)", color = colors.CURSE }, --Spectral Guise
	
	[123266] = { duration = 10, color = colors.BLACK }, -- Divine Insight discipline
	[123267] = { duration = 10, color = colors.BLACK }, -- Divine Insight holy	
	[124430] = { duration = 12, color = colors.BLACK }, -- Divine Insight shadow
	
	[9484]   = { duration = 50 },
	[15487]  = { duration = 5,  color = colors.PINK },
	
	[8122]   = { duration = 8,  cleu = true },
	
	[139]	 = { color = colors.LGREEN, duration = 12 },
	[17]	 = { duration = 15, color = colors.LRED },
	[41635]  = { duration = 30, color = colors.RED, cleu = true },
	[47788]  = { duration = 10, color = colors.LBLUE},
	[33206]  = { duration = 8, color = colors.LBLUE },
	[586]	 = { duration = 10 },
	[89485]  = { color = colors.LBLUE, duration = 1 },
	[15286]  = { duration = 15, color = colors.LBLUE },
	[81700]	 = { duration = 18, color = colors.PINKIERED },
	[59889]	 = { duration = 6 },
	[109964] = { duration = 15, color = colors.PURPLE2 },
	[113792] = { cleu = true, duration = 30, pvpduration = 8 },
	[62618]	 = { cleu = true, duration = 10, group = "player", whitelist_cleu = 5, blacklist_cleu = 2, blacklist = 2 },
	[81661]  = { duration = 15, color = colors.ORANGE },
	[81208]	 = { color = colors.WOO, duration = 1 },
	[81206]	 = { color = colors.WOO2, duration = 1 },
	[81209]	 = { color = colors.RED, duration = 1 },	
	[47755]  = { cleu = true, color = colors.DPURPLE, duration = 12, whitelist_cleu = 7, },

}


local cooldown = {

	[GetSpellInfo(8092)] = { spellid = 8092, color = colors.CURSE },
	[GetSpellInfo(32379)] = { spellid = 32379, color = colors.PURPLE },
	[GetSpellInfo(88625)] = { spellid = 88625, color = colors.CURSE },
	[GetSpellInfo(47540)] = { spellid = 47540, color = colors.CURSE },
	[GetSpellInfo(14914)] = { spellid = 14914, color = colors.PINK },
	
}


function SPTimers:SetupClassSpells()
	
	
	self.myCLASS = class
	
	assert(class, "NO CLASS TABLE")
	
	return spells
end


function SPTimers:SetupClassCooldowns()

	self.myCLASS = class
	
	assert(class, "NO CLASS TABLE")
	
	return cooldown
end
