local _,class = UnitClass("player")

if class ~= "WARLOCK" then return end

local colors = SPTimers.CustomColors

local spells = {
	[108686]	 = { duration = 15, tick = 3, haste = true, pandemia = true, cleu = true }, -- aoe immolate
	[348]		 = { duration = 15, custom_text = "%tN [%affdots]", tick = 3, haste = true, pandemia = true, cleu = true },	   -- solo immolate
	
	[47960]		 = { duration = 6, tick = 1, haste = true, color = colors.CURSE },
	[146739]	 = { duration = 18, custom_text = "[%affdots]%tN", tick = 2, haste = true, pandemia = true, cleu = true },-- corruption
	[980]		 = { duration = 24, custom_text = "[%affdots]%tN", tick = 2, haste = true, pandemia = true, cleu = true },-- agony
	[30108] 	 = { duration = 15, custom_text = "[%affdots]%tN", tick = 2, cast = 1.5, haste = true, pandemia = true, cleu = true },-- ua
	
	[48181] 	 = { duration = 8,  cast = 3, haste = false, cleu = true },-- блуждающий дух
	
	[74434]		 = { duration = 20, color = colors.CURSE },
	[111400]	 = { group = "player", color = colors.PURPLE2 },
	[34936]		 = { group = "procs", duration = 8,  color = colors.CURSE },
	
	[80240]		 = { duration = 15, color = colors.LRED, group = "player", whitelist = 2 },
	
	[104773]	 = { group = "player", duration = 12, color = colors.WOO2 },
	
	[122355]	 = { duration = 30, color = colors.PURPLE },
	
	[27243]		 = { duration = 15, cast = 1.5, tick = 2, haste = true, cleu = true }, -- soc
	[114790]	 = { duration = 15, cast = 1.5, tick = 2, haste = true, cleu = true }, -- soc + ss

	[105174] 	 = { duration = 6,  tick = 2,  haste = true},	-- hand of Gul'Dan
	[603] 	 	 = { duration = 60, custom_text = "%tN [%affdots]", tick = 15, haste = true, pandemia = true, cleu = true },	-- doom,
	
	[1120]		 = { duration = 12, tick = 2, haste = true, channel = true, group = "target" }, -- drain life
	[103103]	 = { duration = 4,  tick = 1, haste = true, channel = true, group = "target" }, -- malf grasp
	
	[113861]	 = { duration = 20 }, -- demon souls
	[113860]	 = { duration = 20 },
	[113858]	 = { duration = 20 },
	
	[117828]	 = { duration = 15, group = "procs", color = colors.FIRE },
	[140074]	 = { duration = 30, group = "procs", color = colors.FIRE },
	
	[1122]   	 = { duration = 60, cleu = true, group = "player", color = colors.BLACK, whitelist_cleu = 5, },
	[18540]  	 = { duration = 60, cleu = true, group = "player", color = colors.BLACK, whitelist_cleu = 5, },
	[112921] 	 = { duration = 60, cleu = true, group = "player", color = colors.BLACK, whitelist_cleu = 5, },
	[112927] 	 = { duration = 60, cleu = true, group = "player", color = colors.BLACK, whitelist_cleu = 5, },
	
	[111895] 	 = { duration = 20, cleu = true, group = "player", color = colors.BLACK, whitelist_cleu = 5, },
	[111859] 	 = { duration = 20, cleu = true, group = "player", color = colors.BLACK, whitelist_cleu = 5, },
	[111897] 	 = { duration = 20, cleu = true, group = "player", color = colors.BLACK, whitelist_cleu = 5, },
	[111898] 	 = { duration = 20, cleu = true, group = "player", color = colors.BLACK, whitelist_cleu = 5, },
	[111896] 	 = { duration = 20, cleu = true, group = "player", color = colors.BLACK, whitelist_cleu = 5, },

	[1949]		 = { duration = 14, haste = true }, -- hellfire
	
	[104232]	 = { cleu = false, whitelist = 2, blacklist = 3 },
	
	[86211] 	 = { group = "procs", duration = 20, color = colors.BLACK },
	
	[6789]		 = { duration = 3 },
	[5484]		 = { duration = 20, pvpduration = 8, cleu = true },
	[110913]	 = { group = "procs", duration = 10 },
	[108416] 	 = { group = "procs", duration = 10 },
	[30283]		 = { duration = 3, cleu = true },
	[5782]		 = { duration = 20, pvpduration = 8, cleu = true },
	[118699]	 = { duration = 20, pvpduration = 8, cleu = true },
	[104045]	 = { duration = 20, pvpduration = 8, cleu = true },
	[710]		 = { duration = 30 },

}

local cooldown = {
	[GetSpellInfo(17962)] = { spellid = 17962, color = colors.PINK },
	[GetSpellInfo(105174)] = { spellid = 105174, color = colors.CURSE },
}	




function SPTimers:SetupClassSpells()

	self.myCLASS = class
	
	return spells
end

function SPTimers:SetupClassCooldowns()

	self.myCLASS = class
	
	return cooldown
end
