local _,class = UnitClass("player")

if class ~= "WARRIOR" then return end

local colors = SPTimers.CustomColors

local spells = {

	[132404] = { color = colors.WOO2, duration = 6, },
	[112048] = { color = colors.WOO, duration = 6 },
	[12328] = {  color = colors.BLACK, duration = 10 },
	[20511] = {  duration = 8, cleu = true },	
	[86346] = {color = colors.PURPLE2, duration = 6 }, --debuff	
	[676]  = { color = colors.BROWN, duration = 10, cleu = true },
	[1715]  = { color = colors.PURPLE, duration = 15, pvpduration = 8, cleu = true },
	[355]  = {  duration = 3, color = colors.TAUNT },
	[1160]  = { color = colors.BLACK, duration = 30, cleu = true },	
	[122510]  = { color = colors.TEAL, duration = 10 },		
	[55694] =  {  color = colors.LGREEN, duration = 5 },	
	[132168]  = { color = colors.CURSE, duration = 4, cleu = true, },
	[12880] = {  color = colors.DPURPLE, group = "procs", duration =6 },
	[12323]  = {  cleu = true, duration = 15 },	
	[107566]  = {  cleu = true, duration = 5 },	
	[107574] =  { group = "player",  color = colors.TEAL, duration = 30 },	
	[132169] =  { cleu = true, color = colors.TEAL2, duration = 3},
--[[
	[114203] =   duration = 15, color = colors.BLACK 
	]]	
	
	[114207] =  { group = "player", source = 1, duration = 10, color = colors.RED },	
	[1719] =  { color = colors.LRED, group = "player", duration = 20},
	[12292] =  { group = "player", color = colors.PINKIERED, duration = 12, },	
	[60503]  = { color = colors.PINKIERED, duration = 12 },
	[131116]  = { duration = 12 },
	[12975] =  { color = colors.BLACK, duration = 20, group = "player" },
	[97463]  = { color = colors.BLACK, duration = 10, group = "player" },	
	[118038] =  { color = colors.BLACK, duration = 8, group = "player" },
	[871] =  { color = colors.WOO2, duration = 12, group = "player" },	
	[32216] =  { group = "player", color = colors.PURPLE, duration = 20},
}




local cooldown = {
	[GetSpellInfo(86346)] = { spellid = 86346, color = colors.WOO },	
	[GetSpellInfo(6572)] = { spellid = 6572, color = colors.PURPLE },	
	[GetSpellInfo(46968)] = { spellid = 46968, color = colors.WOO2 },	
	[GetSpellInfo(12294)] = { spellid = 12294, color = colors.CURSE },
	[GetSpellInfo(23881)] = { spellid = 23881, color = colors.CURSE },
	[GetSpellInfo(23922)] = { spellid = 23922, color = colors.CURSE },
	[GetSpellInfo(6343)] = { spellid = 6343, color = colors.PINKIERED },
}


function SPTimers:SetupClassSpells() self.myCLASS = class; return spells end
function SPTimers:SetupClassCooldowns() self.myCLASS = class; return cooldown end